extends Node


@onready var grid: Grid = get_parent()

func _process(_delta: float) -> void:
	for i in range(len(grid.grid)):
		var unit: Unit  = grid.grid[i]
		if unit == null:
			continue
		
		unit.global_position = lerp(unit.global_position,grid.global_position+grid.from_index(i,true),0.25)
